summaryrefslogtreecommitdiffstats
path: root/src/opkbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/opkbuild.sh')
-rw-r--r--src/opkbuild.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index 94bc6c7..7fdd33d 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -77,6 +77,10 @@ main()
oh_locale_set
get_options
+ if [ "${#}" -ne 0 ]; then
+ oh_usage
+ exit 1
+ fi
test_uid0_cmd
@@ -172,6 +176,7 @@ get_options()
;;
esac
done
+ shift $(($OPTIND - 1))
# Set default option values.
[ -z "${OPT_BUILD}" ] && OPT_BUILD=full